Package org.apache.sling.commons.testing.jcr

# Class MockPropertyDefinition

java.lang.Object
org.apache.sling.commons.testing.jcr.MockPropertyDefinition

All Implemented Interfaces:
  `javax.jcr.nodetype.ItemDefinition`, `javax.jcr.nodetype.PropertyDefinition`

public class MockPropertyDefinition extends Object implements javax.jcr.nodetype.PropertyDefinition

## Constructor Summary

Constructors
Constructor
Description
`MockPropertyDefinition(boolean multiple)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getAvailableQueryOperators()`
`javax.jcr.nodetype.NodeType`
`getDeclaringNodeType()`
`javax.jcr.Value[]`
`getDefaultValues()`
`String`
`getName()`
`int`
`getOnParentVersion()`
`int`
`getRequiredType()`
`String[]`
`getValueConstraints()`
`boolean`
`isAutoCreated()`
`boolean`
`isFullTextSearchable()`
`boolean`
`isMandatory()`
`boolean`
`isMultiple()`
`boolean`
`isProtected()`
`boolean`
`isQueryOrderable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockPropertyDefinition

public MockPropertyDefinition(boolean multiple)

## Method Details

### getDefaultValues

public javax.jcr.Value[] getDefaultValues()

Specified by:
  `getDefaultValues` in interface `javax.jcr.nodetype.PropertyDefinition`

### getRequiredType

public int getRequiredType()

Specified by:
  `getRequiredType` in interface `javax.jcr.nodetype.PropertyDefinition`

### getValueConstraints

public String[] getValueConstraints()

Specified by:
  `getValueConstraints` in interface `javax.jcr.nodetype.PropertyDefinition`

### isMultiple

public boolean isMultiple()

Specified by:
  `isMultiple` in interface `javax.jcr.nodetype.PropertyDefinition`

### getDeclaringNodeType

public javax.jcr.nodetype.NodeType getDeclaringNodeType()

Specified by:
  `getDeclaringNodeType` in interface `javax.jcr.nodetype.ItemDefinition`

### getName

public String getName()

Specified by:
  `getName` in interface `javax.jcr.nodetype.ItemDefinition`

### getOnParentVersion

public int getOnParentVersion()

Specified by:
  `getOnParentVersion` in interface `javax.jcr.nodetype.ItemDefinition`

### isAutoCreated

public boolean isAutoCreated()

Specified by:
  `isAutoCreated` in interface `javax.jcr.nodetype.ItemDefinition`

### isMandatory

public boolean isMandatory()

Specified by:
  `isMandatory` in interface `javax.jcr.nodetype.ItemDefinition`

### isProtected

public boolean isProtected()

Specified by:
  `isProtected` in interface `javax.jcr.nodetype.ItemDefinition`

### getAvailableQueryOperators

public String[] getAvailableQueryOperators()

Specified by:
  `getAvailableQueryOperators` in interface `javax.jcr.nodetype.PropertyDefinition`

### isFullTextSearchable

public boolean isFullTextSearchable()

Specified by:
  `isFullTextSearchable` in interface `javax.jcr.nodetype.PropertyDefinition`

### isQueryOrderable

public boolean isQueryOrderable()

Specified by:
  `isQueryOrderable` in interface `javax.jcr.nodetype.PropertyDefinition`